### Method

# Gck Password get_key

#### Declaration [src]

    GckObject*
    gck_password_get_key (
      GckPassword* self
    )

#### Description [src]

If the password request is to unlock a PKCS#11 key, then this is the the object representing that key.

Gets property | `Gck.Password:key`

#### Return value

Type: `GckObject`

The password is for this key, or `NULL` if not being requested for a key; must be unreferenced after use.

The caller of the method takes ownership of the data, and is responsible for freeing it.